Bug 13978 - lircd segfaults (upstream release is 0.9.4d)
Summary: lircd segfaults (upstream release is 0.9.4d)
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: x86_64 Linux
Priority: High critical
Target Milestone: ---
Assignee: All Packagers
QA Contact:
URL:
Whiteboard: MGA5TOO
Keywords: 6sta2, PATCH, Triaged, UPSTREAM
: 16446 16541 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-08-24 01:54 CEST by Bit Twister
Modified: 2017-08-21 16:34 CEST (History)
5 users (show)

See Also:
Source RPM: lirc-0.9.1a-1.mga5.src.rpm
CVE:
Status comment:


Attachments

Description Bit Twister 2014-08-24 01:54:33 CEST
Description of problem:

 lircd segfaults.  Snippet from journalctl

 systemd[1]: Starting LIRC Infrared Signal Decoder...
 systemd[1]: Started LIRC Infrared Signal Decoder.
 lircd[9026]: Cannot open /sys/class/rc
 kernel: lircd[9026]: segfault at 0 ip 00007f821daa645a sp 00007fff1f5c0ae8
          error 4 in libc-2.19.so[7f82
 systemd[1]: lircd.service: main process exited, code=killed, status=11/SEGV

Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. urpmi lirc
2. systemctl start lircd



Reproducible: 

Steps to Reproduce:
Comment 1 Bit Twister 2014-08-31 12:54:26 CEST
I opened a ticket at http://sourceforge.net/p/lirc/tickets/39/
Suggested fix found at http://sourceforge.net/p/lirc/tickets/39/#cc0b
Comment 2 Bit Twister 2014-09-01 19:18:43 CEST
Workaround/Solution:
change "output = /var/run/lirc/lircd"
to     "lircdfile = /var/run/lirc/lircd"
in /etc/lirc/lirc_options.conf
Comment 3 Alec Leamas 2014-09-02 08:10:05 CEST
Hi, I'm the upstream maintainer.

Note that patches are available in the release_0.9.1b branch, should you want to release this before next upstream point release. The solution in comment #2 is not really the proper one although it kinda works.

CC: (none) => leamas.alec

Manuel Hiebel 2014-11-01 20:01:22 CET

Keywords: (none) => PATCH, Triaged, UPSTREAM
Assignee: bugsquad => anssi.hannula

Comment 4 Samuel Verschelde 2015-05-20 00:02:27 CEST
This bug was not fixed.

We have a patch from upstream (see comment #3), would be nice to integrate it.

CC: (none) => rverschelde

Samuel Verschelde 2015-05-20 00:03:05 CEST

Summary: 5a2: lircd segfaults => lircd segfaults (upstream patch available)
Whiteboard: (none) => MGA5TOO

Comment 5 David Walser 2015-05-23 13:04:27 CEST
There is no 0.9.1b release still, and I see no such branch in the sourceforge git interface.
Comment 6 Rémi Verschelde 2015-05-23 13:30:14 CEST
Indeed, upstream went directly to 0.9.2a. I had a look whether I could find the patches to backport, but my motivation was not high enough and I quickly gave up.
Other distros have patches though, so we might want to look there (I'm just not so interested as I don't have any infrared device to test the results).
Comment 7 Gilles Mouchard 2015-07-23 19:05:09 CEST
*** Bug 16446 has been marked as a duplicate of this bug. ***

CC: (none) => gilles.mouchard

Comment 8 Florian Hubold 2015-08-06 10:30:17 CEST
*** Bug 16541 has been marked as a duplicate of this bug. ***

CC: (none) => mark9117

R Ghetta 2015-09-27 14:26:22 CEST

CC: (none) => birrachiara

Comment 9 Samuel Verschelde 2015-09-28 09:30:27 CEST
Anssi, this bug seems to hit various users. Do you intend to fix it or must we look for another volunteer?
Samuel Verschelde 2015-09-28 09:35:36 CEST

Priority: Normal => High

Comment 10 Alec Leamas 2015-09-28 09:50:55 CEST
BTW, lirc-0.9.3 is out, fixing this.
Comment 11 Alec Leamas 2015-10-24 19:00:10 CEST
And now 0.9.3a...
Bit Twister 2016-07-06 22:55:36 CEST

Summary: lircd segfaults (upstream patch available) => 6_s1: lircd segfaults (upstream patch available)

Comment 12 Bit Twister 2016-07-06 23:56:17 CEST
 Better yet, http://www.lirc.org/    [22-May-2016]  lirc-0.9.4 released.
Comment 13 Alec Leamas 2016-07-07 09:25:34 CEST
Actually, 0.9.4a as of 2016-06-28: 

https://sourceforge.net/projects/lirc/files/LIRC/0.9.4a/
Comment 14 Samuel Verschelde 2016-10-10 18:06:46 CEST
Assigning to all packagers collectively since Anssi isn't responding. 

To packagers: this is a bug that requires updating lirc to a newer version.

Assignee: anssi.hannula => pkg-bugs

Bit Twister 2016-11-29 22:00:10 CET

Summary: 6_s1: lircd segfaults (upstream patch available) => 6_s1: lircd segfaults (upstream release is 0.9.4c-0.4)

Bit Twister 2017-01-23 20:03:22 CET

Summary: 6_s1: lircd segfaults (upstream release is 0.9.4c-0.4) => lircd segfaults (upstream release is 0.9.4d)
Status comment: (none) => 6_s2

Bit Twister 2017-01-31 18:48:15 CET

Status comment: 6_s2 => (none)
Keywords: (none) => 6sta2

Comment 15 Alec Leamas 2017-05-30 22:22:58 CEST
Next upcoming release is 0.10.0. There are preview packages built for cauldron and mageia 6t at https://copr.fedorainfracloud.org/coprs/leamas/lirc-0.10-preview/ (no actual testing).
R Ghetta 2017-05-31 16:52:15 CEST

CC: birrachiara => (none)

Comment 16 Arne Spiegelhauer 2017-06-06 19:43:30 CEST
The preview packages work fine (without any manual configuration !) with the IR kernel module from TBS (v170330).
There was a little problem using the RPMs as an update for lirc 0.9.1a because lirc-libs-0.10.0 is not recognized as an upgrade for lib64lirc0-0.9.1a, but as a conflicting RPM.
Also the lirc-setup utility needed a couple of changes before it would start.

CC: (none) => gm2.asp

Comment 17 Arne Spiegelhauer 2017-06-06 19:47:38 CEST
Forgot to mention that I also tried downloading and building the source RPM on my mga6 RC installation without problems
Comment 18 Alec Leamas 2017-06-06 22:37:12 CEST
(In reply to Arne Spiegelhauer from comment #16)

> There was a little problem using the RPMs as an update for lirc 0.9.1a
> because lirc-libs-0.10.0 is not recognized as an upgrade for
> lib64lirc0-0.9.1a, but as a conflicting RPM.

This should be fixable using a spec file Obsoletes: or Provides: I'll happily accept a patch for this, but it needs testing I cannot do.

Patches goes to http://sf.net/p/lirc, as an issue or a message to the mailing list.
Comment 19 Alec Leamas 2017-06-15 13:20:13 CEST
There is now a rc2, with untested fixes to the two issues above.

Note that although package more or less works, it does not comply to the Mageia packaging guidelines. In particular, the library name is wrong and does not allow multilib parallel installations.
Comment 20 Alec Leamas 2017-08-21 16:34:31 CEST
lirc 0.10.0 is out, with mageia 6 rpm available at https://copr.fedorainfracloud.org/coprs/leamas/lirc-0.10-preview. The cauldron builds are broken on the COPR site due to COPR errors - until fixed rebuild the srpm which should be fine on cauldron.

See comment #19 about mageia packaging guidelines compliance

Note You need to log in before you can comment on or make changes to this bug.